Package org.jcsp.lang

# Interface ConnectionArrayFactory

All Known Implementing Classes:
  `StandardConnectionFactory`

public interface ConnectionArrayFactory
Defines an interface for a factory that can create arrays of connections.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`Any2AnyConnection[]`
`createAny2Any(int n)`
Constructs and returns an array of instances of an implementation of `Any2AnyConnection`.
`Any2OneConnection[]`
`createAny2One(int n)`
Constructs and returns an array of instances of an implementation of `Any2OneConnection`.
`One2AnyConnection[]`
`createOne2Any(int n)`
Constructs and returns an array of instances of an implementation of `One2AnyConnection`.
`One2OneConnection[]`
`createOne2One(int n)`
Constructs and returns an array of instances of an implementation of `One2OneConnection`.

## Method Details

### createOne2One

One2OneConnection[] createOne2One(int n)
Constructs and returns an array of instances of an implementation of `One2OneConnection`.

Parameters:
  `n` - the number of `One2OneConnection` objects to construct.
Returns:
  the constructed array of `One2OneConnection` objects.

### createAny2One

Any2OneConnection[] createAny2One(int n)
Constructs and returns an array of instances of an implementation of `Any2OneConnection`.

Parameters:
  `n` - the number of `Any2OneConnection` objects to construct.
Returns:
  the constructed array of `Any2OneConnection` objects.

### createOne2Any

One2AnyConnection[] createOne2Any(int n)
Constructs and returns an array of instances of an implementation of `One2AnyConnection`.

Parameters:
  `n` - the number of `One2AnyConnection` objects to construct.
Returns:
  the constructed array of `One2AnyConnection` objects.

### createAny2Any

Any2AnyConnection[] createAny2Any(int n)
Constructs and returns an array of instances of an implementation of `Any2AnyConnection`.

Parameters:
  `n` - the number of `Any2AnyConnection` objects to construct.
Returns:
  the constructed array of `Any2AnyConnection` objects.